Package org.eclipse.lemminx.extensions.xsd.contentmodel

## Class XSDDocumentation

- java.lang.Object
- - org.eclipse.lemminx.extensions.xsd.contentmodel.XSDDocumentation

    public class XSDDocumentation
    extends Object

XSD documentation Represents documentation coming from an XML schema file

### Constructor Summary

Constructors
`XSDDocumentation​(org.apache.xerces.xs.XSObjectList annotations, String value, SchemaDocumentationType docStrategy, boolean convertToPlainText)`
`XSDDocumentation​(org.apache.xerces.xs.XSObjectList annotations, SchemaDocumentationType docStrategy, boolean convertToPlainText)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getFormattedDocumentation​(boolean html)` Returns formatted documentation that displays contents of the documentation element (if exists) and the appinfo element (if exists).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XSDDocumentation

    public XSDDocumentation​(org.apache.xerces.xs.XSObjectList annotations,
                            SchemaDocumentationType docStrategy,
                            boolean convertToPlainText)

#### XSDDocumentation

    public XSDDocumentation​(org.apache.xerces.xs.XSObjectList annotations,
                            String value,
                            SchemaDocumentationType docStrategy,
                            boolean convertToPlainText)

### Method Detail

#### getFormattedDocumentation

    public String getFormattedDocumentation​(boolean html)

Returns formatted documentation that displays contents of the documentation element (if exists) and the appinfo element (if exists). The returned documentation will return raw html if `html` is true. Otherwise, the returned documentation will be plaintext.

Parameters:
  `html` - if true, the return value will contain raw html
Returns:
  formatted documentation that displays contents of the documentation element (if exists) and the appinfo element (if exists)